Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action
Interface IActionInterface

All Known Implementing Classes:
  FButton, FCheckBox, FCheckBoxMenuItem, FComboBox, FDialog, FEditorPane, FFrame, FInternalFrame, FLabel, FList, FMenu, FMenuBar, FMenuItem, FPanel, FPasswordField, FPopupMenu, FRadioButton, FRadioButtonMenuItem, FTable, FTextArea, FTextField, FTextPane, FToggleButton, FToolBar, FTree

public interface IActionInterface

Dieses Interface ist ein Marker-Interface. Benutzt wird es fuer die Framework-Controls, damit der `ActionManager` aus diesen Controls die Actionklassen auslesen kann. Jede Klasse, die dieses Interface implementiert sagt damit, das sie Methoden enthaelt, die mit `getActionClassFor` anfangen, keinen Parameter erwarten und einen String zurueckgeben. Dieser String muss einen gueltigen Klassennamen zurueckgeben. Denn diese Klasse wird dann vom ActionManager erzeugt und mit dem zugehoerigen Control verbunden. Wenn nun das gewuenschte Event ausgeloest wird, initialisiert der ActionManager die entsprechende Action-Klasse mit der Umgebung des Controls. Das ist der Controller und die View, auf der sich das Control befindet. Zusaetzlich werden hier zwei Methoden definiert, mit denen sich ein Control ein- oder ausschalten laesst. Gemeint ist damit das Verhalten, ob ein Control auf Oberflaecheneingaben reagieren soll oder nicht. Da dieses Interface hauptsaechlich bei Oberflaechencontrols Verwendung findet, sind diese Methoden durch die Klasse `Component` sowieso schon vorhanden.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Method Summary
`boolean` | `isEnabled()` Gibt den Zustand der Komponente zurueck.
`void` | `setEnabled(boolean b)` Legt fest, ob das Control auf Interaktion mit einem Anwender reagieren kann oder nciht.

Method Detail

### setEnabled

    public void setEnabled(boolean b)

  Legt fest, ob das Control auf Interaktion mit einem Anwender reagieren kann oder nciht. Mit Interaktion ist hier die Reaktion auf Tastatureingaben oder Mausklicks gemeint. Wenn der Parameter true ist, reagiert die Komponente ganz normal. Wenn der Parameter false ist, kann die Komponente nicht mehr fokusiert werden.

  Parameters:
    `b` - true, wenn die Komponente auf Eingaben reagieren soll, ansonsten false.

### isEnabled

    public boolean isEnabled()

  Gibt den Zustand der Komponente zurueck.

  Returns:
    true, wenn die Komponente auf Eingaben reagieren kann, ansonsten false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD